#' ---
#' title: |
#'   医薬品開発のための統計解析 第２部4章3節 \
#'   医薬品開発における共分散分析の例 \
#'   Green2-4-3b.R
#' author: "Masahiko Katase"
#' date: "2021/7/4"
#' ---

#+ message = FALSE
library(readxl)    # read_excel
library(car)       # Anova

df <- read_excel("Green2-4.xlsx", sheet = "4-kyobunsan2")
df <- data.frame(df)

df

#'# 表示4.3.7 量的因子の場合の解析結果（p.157）
lm_out <- lm(y ~ dose + weight, data = df)
summary(lm_out)
Anova(lm_out, type = 3)

#'# 表示4.3.8 量的因子の場合の分散分析表（LOFの算出）
lm_out_pe <- lm(y ~ factor(dose) + weight, data = df)
anova(lm_out, lm_out_pe)